aboutsummaryrefslogtreecommitdiff
path: root/tools/etc/icpc/setup.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tools/etc/icpc/setup.sh')
-rwxr-xr-xtools/etc/icpc/setup.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/tools/etc/icpc/setup.sh b/tools/etc/icpc/setup.sh
index da5a334..5d8838f 100755
--- a/tools/etc/icpc/setup.sh
+++ b/tools/etc/icpc/setup.sh
@@ -15,7 +15,8 @@ If this is supposed to be the server, then leave it empty\nIf there are multiple
fi
FIRSTBOCA=`echo $IP | cut -d';' -f1`
echo "BOCASERVER=$FIRSTBOCA" > /etc/icpc/bocaserver.sh
- if [ "`echo $IP | cut -d';' -f2-`" != "" ]; then
+ echo $IP | grep -q ';'
+ if [ "$?" == "0" ]; then
echo "BOCASERVERS=`echo $IP | cut -d';' -f2-`" >> /etc/icpc/bocaserver.sh
fi
echo "$FIRSTBOCA boca boca" >> /etc/hosts